Update a credit grant
curl --request POST \
--url https://api.metronome.com/v1/credits/editGrant \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "9b85c1c1-5238-4f2a-a409-61412905e1e1",
"name": "Acme Corp Promotional Credit Grant",
"expires_at": "2022-04-01T00:00:00Z"
}
'import requests
url = "https://api.metronome.com/v1/credits/editGrant"
payload = {
"id": "9b85c1c1-5238-4f2a-a409-61412905e1e1",
"name": "Acme Corp Promotional Credit Grant",
"expires_at": "2022-04-01T00:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '9b85c1c1-5238-4f2a-a409-61412905e1e1',
name: 'Acme Corp Promotional Credit Grant',
expires_at: '2022-04-01T00:00:00Z'
})
};
fetch('https://api.metronome.com/v1/credits/editGrant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "8b24d3dc-6db5-432d-9416-8439b3fbf242"
}
}{
"message": "<string>"
}Credits
Update a credit grant
Edit an existing credit grant. This is a Plans (deprecated) endpoint. New clients should implement using Contracts.
POST
/
credits
/
editGrant
Update a credit grant
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The id of the credit grant to edit and the updated fields. Currently only the name and expires_at fields can be updated.
Response
Success
Show child attributes
Show child attributes
⌘I